Skip to main content
POST
Create ingest key

Authorizations

Authorization
string
header
required

Most Braintrust endpoints are authenticated by providing your API key as a header Authorization: Bearer [api_key] to your HTTP request. You can create an API key in the Braintrust organization settings page.

Body

application/json
project_id
string<uuid>
required
name
string
required
Minimum string length: 1

Response

The ingest key, including its HTTPS configuration URL.

id
string<uuid>
required

Unique identifier for the ingest key

name
string
required

Name of the ingest key

org_id
string<uuid>
required
project_id
string<uuid>
required
preview_name
string
required
url
string
required
created
string<date-time> | null

Date of ingest key creation